/*	calendar - calendaring and scheduling application reference implementation
 *  basicframe.h - basic frame header file.
 *  Authors: YANG Lin <lin.yang@orange-ftgroup.com> 
 *  
 *  This software and associated documentation files (the "Software") 
 *  are copyright (C) 2005 LiPS Linux Phone Standards Forum [FranceTelecom] 
 *  All Rights Reserved. 
 *
 *  A copyright license is hereby granted for redistribution and use of 
 *  the Software in source and binary forms, with or without modification, 
 *  provided that the following conditions are met: 
 *  - Redistributions of source code must retain the above copyright notice, 
 *  this copyright license and the following disclaimer. 
 *  - Redistributions in binary form must reproduce the above copyright 
 *   notice, this copyright license and the following disclaimer in the 
 *  documentation and/or other materials provided with the distribution. 
 *  - Neither the name of LiPS  nor the names of its Members may be used 
 *  to endorse or promote products derived from the Software without 
 *  specific prior written permission. 
 *
 *  A patent license for any Necessary Claims owned by Members of LiPS Forum 
 *  to make, have made, use, import, offer to sell, lease and sell or otherwise 
 *  distribute any implementation compliant with the any specification adopted 
 *  by the LiPS Forumcan be obtained from the respective Members on reasonable 
 *  and non-discriminatory terms and conditions and under reciprocity, as 
 *  regulated in more detail in the Internal Policy of the LiPS Forum. 
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER, ITS MEMBERS AND CONTRIBUTORS 
 *  "AS IS", AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, 
 *  THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE 
 *  AND NON-INFRINGEMENT ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER, 
 *  ITS MEMBERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
 *  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; 
 *  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 *  POSSIBILITY OF SUCH DAMAGE. 
 */

#ifndef _BASICFRAME_H_
#define _BASICFRAME_H_

#include <string.h>
#include <stdlib.h>
#include <gtk/gtk.h>
#include <calenabler/cal.h>

#include "setting.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct
{
  GtkWidget *window;
  GtkWidget *notebook;
  GtkWidget *newevent;
  GtkWidget *dayview;
  GtkWidget *weekview;
  GtkWidget *monthview;
  GtkWidget *settingpage;


  gboolean have_softkeys;
  gint num_softkeys;
  GtkActionGroup *action_group;
  GtkUIManager *ui_manager;
  GtkWidget *menu_left;
  GtkWidget *menu_right;

  CalSetting *setting;
}
SELF;

extern SELF self;

enum
{
  SK_LEFT = 0,
  SK_RIGHT = 1,
  SK_MAX = 2
};

enum
{
  MONTH_VIEW_PAGE = 0,
  DAY_VIEW_PAGE,
  WEEK_VIEW_PAGE,
  EVENT_EDIT_PAGE,
  SETTING_PAGE
};

void switch_page_cb (GtkNotebook *notebook,
                     GtkNotebookPage *page,
                     guint page_num, gpointer user_data);

void softkey_activated_cb (GtkWidget *widget, gint key_number);

gboolean popup_key_press_cb (GtkWidget *widget,
                             GdkEventKey *event, gpointer user_data);

void fill_notebook_nth_page (GtkWidget *notebook, gint page_num);

void switch_to_day_view (void);

void switch_to_new_event (void);

void switch_to_edit_event (cal_event_t *ev);

void update_all_views (void);

#ifdef __cplusplus
}
#endif

#endif  /*_BASICFRAME_H_*/
/*
vi:ts=2:nowrap:ai:expandtab
*/

