/*	calendar - calendaring and scheduling application reference implementation
 *
 *  Authors: YANG Lin <lin.yang@orange-ftgroup.com> 
 *  
 *  This software and associated documentation files (the "Software") 
 *  are copyright (C) 2005 LiPS Linux Phone Standards Forum [FranceTelecom] 
 *  All Rights Reserved. 
 *
 *  A copyright license is hereby granted for redistribution and use of 
 *  the Software in source and binary forms, with or without modification, 
 *  provided that the following conditions are met: 
 *  - Redistributions of source code must retain the above copyright notice, 
 *  this copyright license and the following disclaimer. 
 *  - Redistributions in binary form must reproduce the above copyright 
 *   notice, this copyright license and the following disclaimer in the 
 *  documentation and/or other materials provided with the distribution. 
 *  - Neither the name of LiPS  nor the names of its Members may be used 
 *  to endorse or promote products derived from the Software without 
 *  specific prior written permission. 
 *
 *  A patent license for any Necessary Claims owned by Members of LiPS Forum 
 *  to make, have made, use, import, offer to sell, lease and sell or otherwise 
 *  distribute any implementation compliant with the any specification adopted 
 *  by the LiPS Forumcan be obtained from the respective Members on reasonable 
 *  and non-discriminatory terms and conditions and under reciprocity, as 
 *  regulated in more detail in the Internal Policy of the LiPS Forum. 
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER, ITS MEMBERS AND CONTRIBUTORS 
 *  "AS IS", AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, 
 *  THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE 
 *  AND NON-INFRINGEMENT ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER, 
 *  ITS MEMBERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
 *  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; 
 *  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 *  POSSIBILITY OF SUCH DAMAGE. 
 */

#ifndef _DAY_VIEW_H_
#define _DAY_VIEW_H_

#include <time.h>
#include <gtk/gtk.h>

#ifdef __cplusplus
extern "C" {
#endif

#define  CAL_TYPE_DAY_VIEW                (cal_day_view_get_type ())
#define  CAL_DAY_VIEW(obj)                  (G_TYPE_CHECK_INSTANCE_CAST ((obj), CAL_TYPE_DAY_VIEW, CalDayView))
#define  CAL_DAY_VIEW_CLASS(klass)        (G_TYPE_CHECK_CLASS_CAST ((klass), CAL_TYPE_DAY_VIEW, CalDayViewClass))
#define  CAL_IS_DAY_VIEW(obj)                (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CAL_TYPE_DAY_VIEW))
#define CAL_IS_DAY_VIEW_CLASS(klass)      (G_TYPE_CHECK_CLASS_TYPE ((klass), CAL_TYPE_DAY_VIEW))
#define CAL_DAY_VIEW_GET_CLASS(obj)      (G_TYPE_INSTANCE_GET_CLASS ((obj), CAL_TYPE_DAY_VIEW, CalDayViewClass))

  typedef struct _CalDayView CalDayView;
  typedef struct _CalDayViewClass CalDayViewClass;


  struct _CalDayView
  {
    GtkFrame frame;

    GtkWidget *vbox;
    GtkWidget *date_indicate;
    GtkWidget *scrolled_window;
    GtkWidget *treeview_dayevents;
    GtkAdjustment *scroll_adjustment;

    GSList *day_events;

    GtkStyle *light_style;
    GtkStyle *dark_style;
    GtkStyle *time_style;

    GdkColor light_color;
    GdkColor dark_color;
    GdkColor time_color;
  };

  struct _CalDayViewClass
  {
    GtkFrameClass parent_class;
  };


  GType cal_day_view_get_type (void) G_GNUC_CONST;
  GtkWidget *cal_day_view_new (void);

  gboolean cal_day_view_update (CalDayView *view);
  void cal_day_view_delete_one_event (void);
  gboolean cal_day_view_delete_day_events (CalDayView *view);
  void cal_day_view_destroy (CalDayView *view);

#ifdef __cplusplus
}
#endif

#endif                          /*#ifndef _DAY_VIEW_H_ */
/*
vi:ts=2:nowrap:ai:expandtab
*/

