/*	calendar - calendaring and scheduling application reference implementation
 *
 *  Authors: YANG Lin <lin.yang@orange-ftgroup.com> 
 *  
 *  This software and associated documentation files (the "Software") 
 *  are copyright (C) 2005 LiPS Linux Phone Standards Forum [FranceTelecom] 
 *  All Rights Reserved. 
 *
 *  A copyright license is hereby granted for redistribution and use of 
 *  the Software in source and binary forms, with or without modification, 
 *  provided that the following conditions are met: 
 *  - Redistributions of source code must retain the above copyright notice, 
 *  this copyright license and the following disclaimer. 
 *  - Redistributions in binary form must reproduce the above copyright 
 *   notice, this copyright license and the following disclaimer in the 
 *  documentation and/or other materials provided with the distribution. 
 *  - Neither the name of LiPS  nor the names of its Members may be used 
 *  to endorse or promote products derived from the Software without 
 *  specific prior written permission. 
 *
 *  A patent license for any Necessary Claims owned by Members of LiPS Forum 
 *  to make, have made, use, import, offer to sell, lease and sell or otherwise 
 *  distribute any implementation compliant with the any specification adopted 
 *  by the LiPS Forumcan be obtained from the respective Members on reasonable 
 *  and non-discriminatory terms and conditions and under reciprocity, as 
 *  regulated in more detail in the Internal Policy of the LiPS Forum. 
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER, ITS MEMBERS AND CONTRIBUTORS 
 *  "AS IS", AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, 
 *  THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE 
 *  AND NON-INFRINGEMENT ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER, 
 *  ITS MEMBERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
 *  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; 
 *  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 *  POSSIBILITY OF SUCH DAMAGE. 
 */

#ifndef _EVENT_EDIT_H_
#define _EVENT_EDIT_H_

#include <gtk/gtk.h>
#include <calenabler/cal.h>
#include <gemwidget/gem.h>


#ifdef __cplusplus
extern "C"
{
#endif

#define  CAL_TYPE_EVENT_EDIT              (cal_event_edit_get_type ())
#define  CAL_EVENT_EDIT(obj)              (G_TYPE_CHECK_INSTANCE_CAST ((obj), CAL_TYPE_EVENT_EDIT, CalEventEdit))
#define  CAL_EVENT_EDIT_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), CAL_TYPE_EVENT_EDIT, CalEventEditClass))
#define  CAL_IS_EVENT_EDIT(obj)           (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CAL_TYPE_EVENT_EDIT))
#define  CAL_IS_EVENT_EDIT_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), CAL_TYPE_EVENT_EDIT))
#define  CAL_EVENT_EDIT_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), CAL_TYPE_EVENT_EDIT, CalEventEditClass))

  typedef struct _CalEventEdit CalEventEdit;
  typedef struct _CalEventEditClass CalEventEditClass;

  typedef enum
  {
    EV_SUBJECT = 0,
    EV_LOCATION,
    EV_START_DATE,
    EV_START_TIME,
    EV_END_DATE,
    EV_END_TIME,
    EV_ALARM_DELAY,             /*check button */
    EV_REPEAT,                  /*check button */
    EV_NOTE,
    NUM_EVENT_ITEMS
  } CalEventEditItems;

  struct _CalEventEdit
  {
    GtkAutoScrolledWindow frame;

    GtkWidget *entries[2];
    GtkWidget *date_edit_start;
    GtkWidget *date_edit_end;
    GtkWidget *time_edit_start;
    GtkWidget *time_edit_end;

    GtkWidget *checkbutton_alarm;
    GtkWidget *label_adelay;
    GtkWidget *combo_adelay;

    GtkWidget *checkbutton_repeat;
    GtkWidget *label_rtype;
    GtkWidget *combo_rtype;
    GtkWidget *checkbutton_repeat_forever;
    GtkWidget *label_rend;
    GtkWidget *date_edit_rend;

    GtkWidget *textview_note;

    cal_event_t *event;

  };

  struct _CalEventEditClass
  {
    GtkFrameClass parent_class;
  };


  GType cal_event_edit_get_type (void) G_GNUC_CONST;
  GtkWidget *cal_event_edit_new (void);


/*when ev = NULL, this function whill show the page of creat new event*/
  void cal_edit_event (CalEventEdit * view, cal_event_t * ev);

  gboolean cal_save_event (CalEventEdit * view);


#if 0
/*
 * Be careful the item input must between (EV_SUBJECT, EV_END_TIME).
*/
  G_CONST_RETURN gchar *cal_event_edit_get_entry_value (const CalEventEdit *
                                                        view,
                                                        CalEventEditItems item);

#endif
#ifdef __cplusplus
}
#endif

#endif /*_EVENT_EDIT_H_*/
/*
vi:ts=2:nowrap:ai:expandtab
*/

